Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1046817 - Fedora currently packages scipy by replacing its bundled python six with the python six library. These two version of six are different and the changed causes Fedora's scipy to be broken when importing anything from scipy.io
Summary: Fedora currently packages scipy by replacing its bundled python six with the ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: scipy
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jef Spaleta
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-27 00:52 UTC by ocefpaf
Modified: 2014-05-06 16:54 UTC (History)
5 users (show)

Fixed In Version: scipy-0.14.0-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-06 16:54:31 UTC
Type: Bug


Attachments (Terms of Use)

Description ocefpaf 2013-12-27 00:52:17 UTC
Description of problem:

I just noted that Fedora's scipy remove the bundle six and replace it
with standard python six.  However, they are not the same!

This was discussed here:
https://github.com/scipy/scipy/issues/2848


Version-Release number of selected component (if applicable):


How reproducible:
I'm not a Fedora user and I do not have an installation here to test.  But this import should trigger the issue:


Steps to Reproduce:
from scipy.io import loadmat

Actual results:
"Cannot import reduce"

Expected results:
no error message

Comment 1 Orion Poplawski 2013-12-27 17:40:28 UTC
Seems to work for me:

[root@vmf20 ~]# python
Python 2.7.5 (default, Nov 12 2013, 16:45:54)
[GCC 4.8.2 20131017 (Red Hat 4.8.2-1)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> from scipy.io import loadmat
>>>

Comment 2 Orion Poplawski 2014-05-06 16:54:31 UTC
Reverted.


Note You need to log in before you can comment on or make changes to this bug.